Skip to main content
GET
/
organizations
/
{organization_name}
/
projects
/
{project_name}
/
containers
/
{container_group_name}
/
system-logs
Get System Logs
curl --request GET \
  --url https://api.salad.com/api/public/organizations/{organization_name}/projects/{project_name}/containers/{container_group_name}/system-logs \
  --header 'Salad-Api-Key: <api-key>'
import requests

url = "https://api.salad.com/api/public/organizations/{organization_name}/projects/{project_name}/containers/{container_group_name}/system-logs"

headers = {"Salad-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'Salad-Api-Key': '<api-key>'}};

fetch('https://api.salad.com/api/public/organizations/{organization_name}/projects/{project_name}/containers/{container_group_name}/system-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "event_name": "<string>",
      "event_time": "2023-11-07T05:31:56Z",
      "resource_cpu": 8,
      "resource_gpu_class": "<string>",
      "resource_memory": 31232,
      "resource_storage_amount": 134754598912,
      "version": "<string>",
      "instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
Last Updated: July 1, 2025
This API endpoint is deprecated and will be removed in a future version of the SaladCloud API. The new Query Log Entries API endpoint replaces this endpoint, providing a powerful query interface for troubleshooting deployments and jobs.

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

project_name
string
required

Your project name. This represents a collection of related SaladCloud resources. The project must be created before using the API. The project name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"dev-env"

container_group_name
string
required

The unique container group name The container group name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"mandlebrot"

Response

OK

Represents a list of system logs

items
object[]
required

A list of system logs

Maximum array length: 50